Xerces-C++: XMLFileMgr Class Reference

Xerces-C++ 3.2.1

Public Member Functions | List of all members
XMLFileMgr Class Referenceabstract
Inheritance diagram for XMLFileMgr:

## Public Member Functions
| XMLFileMgr ()
virtual | ~XMLFileMgr ()
virtual FileHandle | fileOpen (const XMLCh *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | fileOpen (const char *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | openStdIn (MemoryManager *const manager)=0
virtual void | fileClose (FileHandle f, MemoryManager *const manager)=0
virtual void | fileReset (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | curPos (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | fileSize (FileHandle f, MemoryManager *const manager)=0
virtual XMLSize_t | fileRead (FileHandle f, XMLSize_t byteCount, XMLByte *buffer, MemoryManager *const manager)=0
virtual void | fileWrite (FileHandle f, XMLSize_t byteCount, const XMLByte *buffer, MemoryManager *const manager)=0
virtual XMLCh * | getFullPath (const XMLCh *const srcPath, MemoryManager *const manager)=0
virtual XMLCh * | getCurrentDirectory (MemoryManager *const manager)=0
virtual bool | isRelative (const XMLCh *const toCheck, MemoryManager *const manager)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ XMLFileMgr()

XMLFileMgr::XMLFileMgr | ( |  | ) |

## ◆ ~XMLFileMgr()

virtual XMLFileMgr::~XMLFileMgr | ( |  | ) |
| virtual

References curPos(), fileClose(), FileHandle, fileOpen(), fileRead(), fileReset(), fileSize(), fileWrite(), getCurrentDirectory(), getFullPath(), isRelative(), openStdIn(), and XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ curPos()

virtual XMLFilePos XMLFileMgr::curPos | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileClose()

virtual void XMLFileMgr::fileClose | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileOpen() [1/2]

virtual FileHandle XMLFileMgr::fileOpen | ( | const XMLCh * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileOpen() [2/2]

virtual FileHandle XMLFileMgr::fileOpen | ( | const char * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

## ◆ fileRead()

virtual XMLSize_t XMLFileMgr::fileRead | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | XMLByte * | buffer,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileReset()

virtual void XMLFileMgr::fileReset | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileSize()

virtual XMLFilePos XMLFileMgr::fileSize | ( | FileHandle | f,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ fileWrite()

virtual void XMLFileMgr::fileWrite | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | const XMLByte * | buffer,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ getCurrentDirectory()

virtual XMLCh* XMLFileMgr::getCurrentDirectory | ( | MemoryManager *const | manager | ) |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ getFullPath()

virtual XMLCh* XMLFileMgr::getFullPath | ( | const XMLCh *const | srcPath,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ isRelative()

virtual bool XMLFileMgr::isRelative | ( | const XMLCh *const | toCheck,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLFileMgr().

## ◆ openStdIn()

virtual FileHandle XMLFileMgr::openStdIn | ( | MemoryManager *const | manager | ) |
| pure virtual

Referenced by ~XMLFileMgr().

The documentation for this class was generated from the following file:

- XMLFileMgr.hpp